

import java.io.IOException;
import java.net.URL;
import java.util.ResourceBundle;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Node;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.ListView;
import javafx.stage.Stage;

public class CocineroController implements Initializable{

	@FXML private ListView<String> listaPedidoCli1;
	@FXML private ListView<String> listaPedidoCli2;
	@FXML private ListView<String> listaPedidoCli3;
	@FXML private ListView<String> listaPedidoCli4;
	
	static Cliente cli1 = Cliente.getInstance(1);
	static Cliente cli2 = Cliente.getInstance(2);
	static Cliente cli3 = Cliente.getInstance(3);
	static Cliente cli4 = Cliente.getInstance(4);
	
	public void SelectCliente(ActionEvent event) throws IOException {
		Parent SampleParent = FXMLLoader.load(getClass().getResource("Sample.fxml"));
		Scene SampleScene = new Scene(SampleParent);
		
		Stage window = (Stage)(((Node) event.getSource()).getScene().getWindow());
		window.setScene(SampleScene);
		window.show();
	}
	
	
	/**

	 * Este metodo limpia los arreglos, ya que estos fueron entregados.

	 */
	
	public void onCli1Clicked() {
		cli1.getPedido().cleanCarrito();
		listaPedidoCli1.getItems().clear();
	}
	
	public void onCli2Clicked() {
		cli2.getPedido().cleanCarrito();
		listaPedidoCli2.getItems().clear();
	}
	
	public void onCli3Clicked() {
		cli3.getPedido().cleanCarrito();
		listaPedidoCli3.getItems().clear();
	}
	
	public void onCli4Clicked() {
		cli4.getPedido().cleanCarrito();
		listaPedidoCli4.getItems().clear();
	}
	
	
	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		for( Comida comida: cli1.getPedido().getCarrito()) {
			listaPedidoCli1.getItems().add(comida.getNombre()+ "	x " + comida.getCantidad());
		}
		for( Comida comida: cli2.getPedido().getCarrito()) {
			listaPedidoCli2.getItems().add(comida.getNombre()+ "	x " + comida.getCantidad());
		}
		for( Comida comida: cli3.getPedido().getCarrito()) {
			listaPedidoCli3.getItems().add(comida.getNombre()+ "	x " + comida.getCantidad());
		}
		for( Comida comida: cli4.getPedido().getCarrito()) {
			listaPedidoCli4.getItems().add(comida.getNombre()+ "	x " + comida.getCantidad());
		}
		
		
		
	}

}

